Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # default_color_converter_impl< cmyk_t, rgb_t > Struct Template Reference [Color Space Converion] `#include <color_convert.hpp>` List of all members. ## Detailed Description ### template<> struct boost::gil::default_color_converter_impl< cmyk_t, rgb_t > CMYK to RGB (not the fastest code in the world). r = 1 - min(1, c*(1-k)+k) g = 1 - min(1, m*(1-k)+k) b = 1 - min(1, y*(1-k)+k)
## Public Member Functions
template<typename P1, typename P2>
void | operator() (const P1 &src, P2 &dst) const
The documentation for this struct was generated from the following file: color_convert.hpp